#ifndef _resourceManager

#define _resourceManager


// Macros



#include "stdlib.h"

extern char * __ClassNames[];


// Includes

#include "string.h"

#include "stdbool.h"

#include <png.h>

#include "texture2D.h"


typedef struct resourceManager{


} resourceManager;

texture2D * resourceManager_loadPngImage( resourceManager * this, char * name );

resourceManager resourceManager_new(  );

resourceManager * resourceManager_newPointer(  );

#endif


typedef struct resourceManager resourceManager;



